Subject: Re: linux-next: manual merge of the mtd tree with the origin tree

From: Miquel Raynal <[email-masked]>
Date: Thu, 22 Jan 2026 16:42:44 +0100

Hello,

On 22/01/2026 at 15:31:02 GMT, Mark Brown <[email-masked]> wrote:

> Hi all,
>
> Today's linux-next merge of the mtd tree got a conflict in:
>
>   Documentation/devicetree/bindings/mtd/partitions/seama.yaml
>
> between commit:
>
>   54de247a0efa4 ("dt-bindings: Updates Linus Walleij's mail address")
>
> from the origin tree and commit:
>
>   125981ffa1674 ("dt-bindings: mtd: partitions: Combine simple partition bindings")
>
> from the mtd tree.
>
> I fixed it up (see below) and can carry the fix as necessary. This
> is now fixed as far as linux-next is concerned, but any non trivial
> conflicts should be mentioned to your upstream maintainer when your tree
> is submitted for merging.  You may also want to consider cooperating
> with the maintainer of the conflicting tree to minimise any particularly
> complex conflicts.
>
> [Dropped the removed file]

This is indeed the correct fix, as brought up by Rob already. I use to
avoid these cases but for this one it is apparently trivial enough so I
decided to pick the series as-is.

Miquèl